version in VCS is newer than in repository, is it time to upload?

package:
puppet-module-icann-quagga
severity:
normal
created:
2018-10-05
last updated:
2019-09-13

vcswatch reports that this package seems to have a new changelog entry (version 0.5.2-4, distribution unstable) and new commits in its VCS. You should consider whether it's time to make an upload.

Here are the relevant commit messages:
commit 91f4b6a07f9000340ee90e757cf8b42c7c31f3cc
Author: Thomas Goirand <zigo@debian.org>
Date:   Thu Sep 5 20:57:25 2019 +0200

    Switched build-dependencies to Python 3 (Closes: #937356).

commit a4aab091498ed87a7a1d96e8ee624d774d208fb1
Author: Ondřej Nový <onovy@debian.org>
Date:   Thu Jul 18 16:43:42 2019 +0200

    Use debhelper-compat instead of debian/compat

commit c2284d0e72745c1f8069e46998db9e06046f9042
Author: Ondřej Nový <onovy@debian.org>
Date:   Mon Oct 1 09:16:10 2018 +0200

    Running wrap-and-sort -bast